All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
FilterHighPass
Fixed Filters

Filters the image using a high-pass filter kernel. More...

## Functions

NppStatus | nppiFilterHighPass_8u_C1R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize, NppStreamContext nppStreamCtx)
| Single channel 8-bit unsigned high-pass filter. More...
NppStatus | nppiFilterHighPass_8u_C1R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
NppStatus | nppiFilterHighPass_8u_C3R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize, NppStreamContext nppStreamCtx)
| Three channel 8-bit unsigned high-pass filter. More...
NppStatus | nppiFilterHighPass_8u_C3R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
NppStatus | nppiFilterHighPass_8u_C4R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned high-pass filter. More...
NppStatus | nppiFilterHighPass_8u_C4R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
NppStatus | nppiFilterHighPass_8u_AC4R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned high-pass filter, ignoring alpha channel. More...
NppStatus | nppiFilterHighPass_8u_AC4R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
NppStatus | nppiFilterHighPass_16u_C1R_Ctx (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize, NppStreamContext nppStreamCtx)
| Single channel 16-bit unsigned high-pass filter. More...
NppStatus | nppiFilterHighPass_16u_C1R (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
NppStatus | nppiFilterHighPass_16u_C3R_Ctx (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize, NppStreamContext nppStreamCtx)
| Three channel 16-bit unsigned high-pass filter. More...
NppStatus | nppiFilterHighPass_16u_C3R (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
NppStatus | nppiFilterHighPass_16u_C4R_Ctx (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize, NppStreamContext nppStreamCtx)
| Four channel 16-bit unsigned high-pass filter. More...
NppStatus | nppiFilterHighPass_16u_C4R (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
NppStatus | nppiFilterHighPass_16u_AC4R_Ctx (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize, NppStreamContext nppStreamCtx)
| Four channel 16-bit unsigned high-pass filter, ignoring alpha channel. More...
NppStatus | nppiFilterHighPass_16u_AC4R (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
NppStatus | nppiFilterHighPass_16s_C1R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize, NppStreamContext nppStreamCtx)
| Single channel 16-bit signed high-pass filter. More...
NppStatus | nppiFilterHighPass_16s_C1R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
NppStatus | nppiFilterHighPass_16s_C3R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize, NppStreamContext nppStreamCtx)
| Three channel 16-bit signed high-pass filter. More...
NppStatus | nppiFilterHighPass_16s_C3R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
NppStatus | nppiFilterHighPass_16s_C4R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize, NppStreamContext nppStreamCtx)
| Four channel 16-bit signed high-pass filter. More...
NppStatus | nppiFilterHighPass_16s_C4R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
NppStatus | nppiFilterHighPass_16s_AC4R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize, NppStreamContext nppStreamCtx)
| Four channel 16-bit signed high-pass filter, ignoring alpha channel. More...
NppStatus | nppiFilterHighPass_16s_AC4R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
NppStatus | nppiFilterHighPass_32f_C1R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize, NppStreamContext nppStreamCtx)
| Single channel 32-bit floating-point high-pass filter. More...
NppStatus | nppiFilterHighPass_32f_C1R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
NppStatus | nppiFilterHighPass_32f_C3R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize, NppStreamContext nppStreamCtx)
| Three channel 32-bit floating-point high-pass filter. More...
NppStatus | nppiFilterHighPass_32f_C3R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
NppStatus | nppiFilterHighPass_32f_C4R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize, NppStreamContext nppStreamCtx)
| Four channel 32-bit floating-point high-pass filter. More...
NppStatus | nppiFilterHighPass_32f_C4R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
NppStatus | nppiFilterHighPass_32f_AC4R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize, NppStreamContext nppStreamCtx)
| Four channel 32-bit floating-point high-pass filter, ignoring alpha channel. More...
NppStatus | nppiFilterHighPass_32f_AC4R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)

## Detailed Description

Filters the image using a high-pass filter kernel.

### Common parameters for nppiFilterHighPass functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  eMaskSize | Enumeration value specifying the mask size.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiFilterHighPass_16s_AC4R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

NppStatus nppiFilterHighPass_16s_AC4R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit signed high-pass filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterHighPass functions.

NppStatus nppiFilterHighPass_16s_C1R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

NppStatus nppiFilterHighPass_16s_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 16-bit signed high-pass filter.

For common parameter descriptions, see Common parameters for nppiFilterHighPass functions.

NppStatus nppiFilterHighPass_16s_C3R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

NppStatus nppiFilterHighPass_16s_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 16-bit signed high-pass filter.

For common parameter descriptions, see Common parameters for nppiFilterHighPass functions.

NppStatus nppiFilterHighPass_16s_C4R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

NppStatus nppiFilterHighPass_16s_C4R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit signed high-pass filter.

For common parameter descriptions, see Common parameters for nppiFilterHighPass functions.

NppStatus nppiFilterHighPass_16u_AC4R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

NppStatus nppiFilterHighPass_16u_AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit unsigned high-pass filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterHighPass functions.

NppStatus nppiFilterHighPass_16u_C1R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

NppStatus nppiFilterHighPass_16u_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 16-bit unsigned high-pass filter.

For common parameter descriptions, see Common parameters for nppiFilterHighPass functions.

NppStatus nppiFilterHighPass_16u_C3R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

NppStatus nppiFilterHighPass_16u_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 16-bit unsigned high-pass filter.

For common parameter descriptions, see Common parameters for nppiFilterHighPass functions.

NppStatus nppiFilterHighPass_16u_C4R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

NppStatus nppiFilterHighPass_16u_C4R_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit unsigned high-pass filter.

For common parameter descriptions, see Common parameters for nppiFilterHighPass functions.

NppStatus nppiFilterHighPass_32f_AC4R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

NppStatus nppiFilterHighPass_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 32-bit floating-point high-pass filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterHighPass functions.

NppStatus nppiFilterHighPass_32f_C1R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

NppStatus nppiFilterHighPass_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 32-bit floating-point high-pass filter.

For common parameter descriptions, see Common parameters for nppiFilterHighPass functions.

NppStatus nppiFilterHighPass_32f_C3R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

NppStatus nppiFilterHighPass_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 32-bit floating-point high-pass filter.

For common parameter descriptions, see Common parameters for nppiFilterHighPass functions.

NppStatus nppiFilterHighPass_32f_C4R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

NppStatus nppiFilterHighPass_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 32-bit floating-point high-pass filter.

For common parameter descriptions, see Common parameters for nppiFilterHighPass functions.

NppStatus nppiFilterHighPass_8u_AC4R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

NppStatus nppiFilterHighPass_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned high-pass filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterHighPass functions.

NppStatus nppiFilterHighPass_8u_C1R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

NppStatus nppiFilterHighPass_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 8-bit unsigned high-pass filter.

For common parameter descriptions, see Common parameters for nppiFilterHighPass functions.

NppStatus nppiFilterHighPass_8u_C3R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

NppStatus nppiFilterHighPass_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 8-bit unsigned high-pass filter.

For common parameter descriptions, see Common parameters for nppiFilterHighPass functions.

NppStatus nppiFilterHighPass_8u_C4R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

NppStatus nppiFilterHighPass_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned high-pass filter.

For common parameter descriptions, see Common parameters for nppiFilterHighPass functions.

Copyright © 2009-2020 NVIDIA Corporation